Bug 59121 - Redo/Undo looses bookmark
Summary: Redo/Undo looses bookmark
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.0.4:OSX
Keywords: needUITest
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2013-01-08 08:42 UTC by Christoph Lutz
Modified: 2019-03-15 03:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Lutz 2013-01-08 08:42:48 UTC
1) create a new writer document
2) type some text (e.g. "hallo")
3) select the part "all"
4) insert a bookmark "foo"
5) mark the complete text (e.g. with CTRL+a)

6) press CTRL+x - the text and the bookmark vanishes (OK)
7) press CTRL+z (Undo) -  the text and the bookmark is restored (OK)
8) repeat 6,7 several times - the bookamrk is always restored correctly

9) press CTRL+y (Redo) - the text and the bookmark vanishes (OK)
10) press CTRL+z (Undo) -  the text is restored but the bookmark is NOT restored (ERROR!)
Comment 1 Thomas van der Meulen 2013-02-16 11:49:46 UTC
Thank you for reporthing this bug,
I can reporduce this bug running LibreOffice 4.0.0.3 on Windows 7.
Comment 2 retired 2014-02-14 10:31:40 UTC
Confirmed:4.2.0.4:OSX
Comment 3 Joel Madero 2015-05-02 15:43:28 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-21 11:41:33 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:10:28 UTC Comment hidden (obsolete)
Comment 6 raal 2017-12-08 15:36:14 UTC
repro LO 6.1
Comment 7 QA Administrators 2019-03-15 03:55:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug